javafx.beans.value

## Interface ObservableObjectValue<T>

- All Superinterfaces:
    Observable, ObservableValue<T>
  All Known Subinterfaces:
    ObservableListValue<E>, ObservableMapValue<K,V>, ObservableSetValue<E>, ObservableStringValue, TextInputControl.Content
  All Known Implementing Classes:
    JavaBeanObjectProperty, JavaBeanStringProperty, ListBinding, ListExpression, ListProperty, ListPropertyBase, MapBinding, MapExpression, MapProperty, MapPropertyBase, ObjectBinding, ObjectExpression, ObjectProperty, ObjectPropertyBase, ReadOnlyJavaBeanObjectProperty, ReadOnlyJavaBeanStringProperty, ReadOnlyListProperty, ReadOnlyListPropertyBase, ReadOnlyListWrapper, ReadOnlyMapProperty, ReadOnlyMapPropertyBase, ReadOnlyMapWrapper, ReadOnlyObjectProperty, ReadOnlyObjectPropertyBase, ReadOnlyObjectWrapper, ReadOnlySetProperty, ReadOnlySetPropertyBase, ReadOnlySetWrapper, ReadOnlyStringProperty, ReadOnlyStringPropertyBase, ReadOnlyStringWrapper, SetBinding, SetExpression, SetProperty, SetPropertyBase, SimpleListProperty, SimpleMapProperty, SimpleObjectProperty, SimpleSetProperty, SimpleStringProperty, SimpleStyleableObjectProperty, SimpleStyleableStringProperty, StringBinding, StringExpression, StringProperty, StringPropertyBase, StyleableObjectProperty, StyleableStringProperty

      public interface ObservableObjectValue<T>
      extends ObservableValue<T>

  An observable typed `Object` value.
  Since:
    JavaFX 2.0
  See Also:
    `ObservableValue`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `get()` Returns the current value of this `ObservableObjectValue<T>`.

    - ### Methods inherited from interface javafx.beans.value.ObservableValue

      `addListener, getValue, removeListener`

    - ### Methods inherited from interface javafx.beans.Observable

      `addListener, removeListener`

- - ### Method Detail

    - #### get

          T get()

      Returns the current value of this `ObservableObjectValue<T>`.
      Returns:
        The current value

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 2008, 2019, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.